Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.activation
Class ActivationGroup_Stub

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteStub
              java.rmi.activation.ActivationGroup_Stub

All Implemented Interfaces:
  Serializable, ActivationInstantiator, Remote

    public final class ActivationGroup_Stub

extends RemoteStub
implements ActivationInstantiator, Remote

`ActivationGroup_Stub` is a stub class for the subclasses of `java.rmi.activation.ActivationGroup` that are exported as a `java.rmi.server.UnicastRemoteObject`.

Since:
  1.2
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`ActivationGroup_Stub(RemoteRef ref)` Constructs a stub for the `ActivationGroup` class.

Method Summary
`MarshalledObject` | `newInstance(ActivationID id, ActivationDesc desc)` Stub method for `ActivationGroup.newInstance`.

Methods inherited from class java.rmi.server.RemoteStub
`setRef`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivationGroup_Stub

    public ActivationGroup_Stub(RemoteRef ref)

  Constructs a stub for the `ActivationGroup` class. It invokes the superclass `RemoteStub(RemoteRef)` constructor with its argument, `ref`.

  Parameters:
    `ref` - a remote ref

Method Detail

### newInstance

    public MarshalledObject newInstance(ActivationID id,
                                        ActivationDesc desc)
                                 throws RemoteException,
                                        ActivationException

  Stub method for `ActivationGroup.newInstance`. Invokes the `invoke` method on this instance's `RemoteObject.ref` field, with `this` as the first argument, a two-element `Object[]` as the second argument (with `id` as the first element and `desc` as the second element), and -5274445189091581345L as the third argument, and returns the result. If that invocation throws a `RuntimeException`, `RemoteException`, or an `ActivationException`, then that exception is thrown to the caller. If that invocation throws any other `java.lang.Exception`, then a `java.rmi.UnexpectedException` is thrown to the caller with the original exception as the cause.

  Specified by:
    `newInstance` in interface `ActivationInstantiator`
  Parameters:
    `id` - an activation identifier
    `desc` - an activation descriptor
  Returns:
    the result of the invocation
  Throws:
    `RemoteException` - if invocation results in a `RemoteException`
    `ActivationException` - if invocation results in an `ActivationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.